Package fr.gouv.vitam.common.model.processing

# Class ProcessingUri

java.lang.Object
fr.gouv.vitam.common.model.processing.ProcessingUri

public class ProcessingUri extends Object
Processing Uri format

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessingUri()`
  Empty Constructor
  `ProcessingUri(UriPrefix prefix, String path)`
  Constructor with prefix and path
  `ProcessingUri(String uri)`
  Constructor with String
  `ProcessingUri(String prefix, String path)`
  Constructor with prefix and path

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPath()`
  `UriPrefix`
  `getPrefix()`
  `ProcessingUri`
  `setPath(String path)`
  `ProcessingUri`
  `setPrefix(UriPrefix prefix)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProcessingUri

    public ProcessingUri()
    Empty Constructor

  - ### ProcessingUri

    public ProcessingUri(String prefix, String path)
    Constructor with prefix and path
    Parameters:
      `prefix` - of processing uri
      `path` - of processing uri

  - ### ProcessingUri

    public ProcessingUri(UriPrefix prefix, String path)
    Constructor with prefix and path
    Parameters:
      `prefix` - of processing uri
      `path` - of processing uri

  - ### ProcessingUri

    public ProcessingUri(String uri)
    Constructor with String
    Parameters:
      `uri` - of processing

- ## Method Details

  - ### getPrefix

    public UriPrefix getPrefix()
    Returns:
      the prefix

  - ### setPrefix

    public ProcessingUri setPrefix(UriPrefix prefix)
    Parameters:
      `prefix` - the prefix to set
    Returns:
      this

  - ### getPath

    public String getPath()
    Returns:
      the path

  - ### setPath

    public ProcessingUri setPath(String path)
    Parameters:
      `path` - the path to set
    Returns:
      this

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`